Security Enhanced Linux Reference Policy

# Layer: services

## Module: dnsmasq

Interfaces

### Description:

DNS forwarder and DHCP server.

### Interfaces:

dnsmasq_admin( domain , role )

##### Summary

All of the rules required to administrate an dnsmasq environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

dnsmasq_create_pid_dirs( domain )

##### Summary

Create dnsmasq pid directories. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_create_runtime_dirs( domain )

##### Summary

Create dnsmasq runtime directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_delete_pid_files( domain )

##### Summary

Delete dnsmasq pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_delete_runtime_files( domain )

##### Summary

Delete dnsmasq runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_domtrans( domain )

##### Summary

Execute dnsmasq server in the dnsmasq domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dnsmasq_initrc_domtrans( domain )

##### Summary

Execute the dnsmasq init script in the init script domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

dnsmasq_kill( domain )

##### Summary

Send kill signals to dnsmasq.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_manage_pid_files( domain )

##### Summary

Create, read, write, and delete dnsmasq pid files (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_manage_runtime_files( domain )

##### Summary

Create, read, write, and delete dnsmasq runtime files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_read_config( domain )

##### Summary

Read dnsmasq config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_read_pid_files( domain )

##### Summary

Read dnsmasq pid files. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_read_runtime_files( domain )

##### Summary

Read dnsmasq runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_signal( domain )

##### Summary

Send generic signals to dnsmasq.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_signull( domain )

##### Summary

Send null signals to dnsmasq.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

dnsmasq_spec_filetrans_pid( domain , file_type , object , name )

##### Summary

Create specified objects in specified directories with a type transition to the dnsmasq pid file type. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
file_type | Directory to transition on.
object | The object class of the object being created.
name | The name of the object being created.

dnsmasq_virt_runtime_filetrans_runtime( domain , object , name )

##### Summary

Create specified objects in specified directories with a type transition to the dnsmasq runtime file type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object | The object class of the object being created.
name | The name of the object being created.

dnsmasq_write_config( domain )

##### Summary

Write dnsmasq config files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return